Download it now!
Bug 120783 - KDE5: Drag'n'drop doesn't work from the Data Sources
Summary: KDE5: Drag'n'drop doesn't work from the Data Sources
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 10:45 UTC by Xisco Faulí
Modified: 2019-03-12 23:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 10:45:44 UTC
Steps to reproduce:
1. Open Writer
2. Go to View - Data Sources
3. Biblio - Tables - biblio
4. Try to drag'n'drop Identifier column to document

-> Nothing happens

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:47:01 UTC
Confirmed with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Katarina Behrens (Inactive) 2018-12-04 08:54:51 UTC
I don't see this anymore, I think I fixed it along with bug 120781 (if not, then with bug 120775)

*** This bug has been marked as a duplicate of bug 120781 ***
Comment 3 Xisco Faulí 2018-12-21 12:12:07 UTC
This issue is still reproducible in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Putting it back to NEW.

NOTE: Drag&Drop from the columns' header doesn't work. it works if I D&D a single value...
Comment 4 Commit Notification 2019-03-05 11:19:32 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c3751ed3c98e8ed40100a8073b97c83d9ded0803%5E%21

tdf#120783: take suggested/preferred DnD ops into account

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens (Inactive) 2019-03-05 11:39:56 UTC
DnD of the column headers works now (it inserts <Identifier> or <Author> or whatever other field into the document). If there are more issues, pls open a new ticket(s)
Comment 6 Michael Weghorn 2019-03-06 11:43:38 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 3061ca82a323ec922dbdf2f5dcc008ade81f23a8
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Commit Notification 2019-03-12 23:04:05 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/66b352eca973c72bc40239591addabb5fd0b49c0%5E%21

tdf#120783: take suggested/preferred DnD ops into account

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.